# getColleague

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/colleagues/{id} |

| Field | Value |
|---|---|
| operationId | getColleague |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /colleagues/{id} |
| tags | `Colleagues & Profiles` |
| summary | Get colleague profile detail |
| badges | `{"name":"Viewer"}`, `{"name":"Admin"}`, `{"name":"Owner"}` |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| id | path | true | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Full colleague profile detail | #/components/schemas/CompanyIndividualDetailResponseDto |
| 400 | Invalid UUID format for id parameter | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 404 | Colleague not found (IDENTITY_COMPANY_INDIVIDUAL_NOT_FOUND) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
